# Ogre::SceneManagerFactory Class Reference

Class which will create instances of a given SceneManager. More...

`#include <OgreSceneManager.h>`

Inheritance diagram for Ogre::SceneManagerFactory:

[legend]

List of all members.

## Public Member Functions

| SceneManagerFactory ()
virtual | ~SceneManagerFactory ()
virtual const SceneManagerMetaData & | getMetaData (void) const
| Get information about the SceneManager type created by this factory.
virtual SceneManager * | createInstance (const String &instanceName)=0
| Create a new instance of a SceneManager.
virtual void | destroyInstance (SceneManager *instance)=0
| Destroy an instance of a SceneManager.
void * | operator new (size_t sz, const char *file, int line, const char *func)
| operator new, with debug line info
void * | operator new (size_t sz)
void * | operator new (size_t sz, void *ptr)
| placement operator new
void * | operator new[] (size_t sz, const char *file, int line, const char *func)
| array operator new, with debug line info
void * | operator new[] (size_t sz)
void | operator delete (void *ptr)
void | operator delete (void *ptr, void *)
void | operator delete (void *ptr, const char *, int, const char *)
void | operator delete[] (void *ptr)
void | operator delete[] (void *ptr, const char *, int, const char *)

## Protected Member Functions

virtual void | initMetaData (void) const =0
| Internal method to initialise the metadata, must be implemented.

## Protected Attributes

SceneManagerMetaData | mMetaData
bool | mMetaDataInit

## Detailed Description

Class which will create instances of a given SceneManager.

Definition at line 3224 of file OgreSceneManager.h.

## Constructor & Destructor Documentation

Ogre::SceneManagerFactory::SceneManagerFactory | ( |  | ) |

Definition at line 3232 of file OgreSceneManager.h.

virtual Ogre::SceneManagerFactory::~SceneManagerFactory | ( |  | ) | `[virtual]`

Definition at line 3233 of file OgreSceneManager.h.

## Member Function Documentation

virtual void Ogre::SceneManagerFactory::initMetaData | ( | void |  | ) | const`[protected, pure virtual]`

Internal method to initialise the metadata, must be implemented.

Implemented in Ogre::DefaultSceneManagerFactory.

virtual const SceneManagerMetaData& Ogre::SceneManagerFactory::getMetaData | ( | void |  | ) | const`[virtual]`

Get information about the SceneManager type created by this factory.

Definition at line 3235 of file OgreSceneManager.h.

virtual SceneManager* Ogre::SceneManagerFactory::createInstance | ( | const String & | instanceName | ) | `[pure virtual]`

Create a new instance of a SceneManager.

Remarks:
  Don't call directly, use SceneManagerEnumerator::createSceneManager.

Implemented in Ogre::DefaultSceneManagerFactory.

virtual void Ogre::SceneManagerFactory::destroyInstance | ( | SceneManager * | instance | ) | `[pure virtual]`

Destroy an instance of a SceneManager.

Implemented in Ogre::DefaultSceneManagerFactory.

template<class Alloc>

void* Ogre::AllocatedObject< Alloc >::operator new | ( | size_t | sz,
|  | const char * | file,
|  | int | line,
|  | const char * | func |
| ) |  |  | `[inherited]`

operator new, with debug line info

Definition at line 62 of file OgreMemoryAllocatedObject.h.

template<class Alloc>

void* Ogre::AllocatedObject< Alloc >::operator new | ( | size_t | sz | ) | `[inherited]`

Definition at line 67 of file OgreMemoryAllocatedObject.h.

template<class Alloc>

void* Ogre::AllocatedObject< Alloc >::operator new | ( | size_t | sz,
|  | void * | ptr |
| ) |  |  | `[inherited]`

placement operator new

Definition at line 73 of file OgreMemoryAllocatedObject.h.

template<class Alloc>

void* Ogre::AllocatedObject< Alloc >::operator new[] | ( | size_t | sz,
|  | const char * | file,
|  | int | line,
|  | const char * | func |
| ) |  |  | `[inherited]`

array operator new, with debug line info

Definition at line 79 of file OgreMemoryAllocatedObject.h.

template<class Alloc>

void* Ogre::AllocatedObject< Alloc >::operator new[] | ( | size_t | sz | ) | `[inherited]`

Definition at line 84 of file OgreMemoryAllocatedObject.h.

template<class Alloc>

void Ogre::AllocatedObject< Alloc >::operator delete | ( | void * | ptr | ) | `[inherited]`

Definition at line 89 of file OgreMemoryAllocatedObject.h.

template<class Alloc>

void Ogre::AllocatedObject< Alloc >::operator delete | ( | void * | ptr,
|  | void * |  |
| ) |  |  | `[inherited]`

Definition at line 95 of file OgreMemoryAllocatedObject.h.

template<class Alloc>

void Ogre::AllocatedObject< Alloc >::operator delete | ( | void * | ptr,
|  | const char * | ,
|  | int | ,
|  | const char * |  |
| ) |  |  | `[inherited]`

Definition at line 101 of file OgreMemoryAllocatedObject.h.

template<class Alloc>

void Ogre::AllocatedObject< Alloc >::operator delete[] | ( | void * | ptr | ) | `[inherited]`

Definition at line 106 of file OgreMemoryAllocatedObject.h.

template<class Alloc>

void Ogre::AllocatedObject< Alloc >::operator delete[] | ( | void * | ptr,
|  | const char * | ,
|  | int | ,
|  | const char * |  |
| ) |  |  | `[inherited]`

Definition at line 112 of file OgreMemoryAllocatedObject.h.

## Member Data Documentation

SceneManagerMetaData Ogre::SceneManagerFactory::mMetaData `[mutable, protected]`

Definition at line 3227 of file OgreSceneManager.h.

bool Ogre::SceneManagerFactory::mMetaDataInit `[mutable, protected]`

Definition at line 3228 of file OgreSceneManager.h.

The documentation for this class was generated from the following file:

- OgreSceneManager.h

Copyright © 2008 Torus Knot Software Ltd
This work is licensed under a Creative Commons Attribution-ShareAlike 2.5 License.
Last modified Sun Dec 27 17:35:03 2009